### Method

# Foundry GitCommitBuilder get_can_commit

since: 1.1

#### Declaration [src]

    gboolean
    foundry_git_commit_builder_get_can_commit (
      FoundryGitCommitBuilder* self
    )

#### Description [src]

Checks whether the builder has sufficient information to create a commit.

Returns `TRUE` if both a non-empty commit message and at least one staged file are present. Returns `FALSE` otherwise.

Available since: 1.1

Gets property | `Foundry.GitCommitBuilder:can-commit`

#### Return value

Type: `gboolean`

`TRUE` if a commit can be created, `FALSE` otherwise.